var boxes = [],
    c = document.getElementById('container'),
    n = makeBoxes(50); 

new TimelineMax()
  .set('#hit_area', {width:'100%', height:'100%', background:'rgba(0,0,0,0)'})
  .set(c, {width:1200, height:400, left:'50%', top:'70%', x:-600, y:-200, perspective:800, transformPerspective:500})
  .fromTo('#logo', 1, {alpha:0, x:525, zIndex:100, perspective:300}, {opacity:1, ease:Power1.easeInOut}, 0)
  .from('#logo', 4, {y:200, rotation:0.05, ease:Expo.easeOut}, 0)
  .from(c, 4, {opacity:0, ease:Power3.easeInOut}, 0);

function makeBoxes(n){

  for (var i=0; i<n; i++){
    
    var b = document.createElement('div');
    b.className += 'box';
    boxes.push(b);
    c.appendChild(b);
    
    new TimelineMax()
      .set(b, {
        width:'100%',
        height:20,
        y:10+i*5,
        backgroundImage:'url(img/darkWaterLogo.png)',
        backgroundPosition:'0px -'+String(i*5)+"px",
        transformOrigin:'50% -100%'
      }, 0)
      .to(b, 1.1, {
        y:'-='+String(25*(i/n)),
        scaleX:0.95+i/n*0.15,
        scaleY:2-i/n,
        rotation:0.01,
        // opacity:0.8-i/n*0.5,
        yoyo:true,
        repeat:-1,
        ease:Sine.easeInOut
      }, i/n)
  }
  
  return n;
}

window.onmousemove = function(e){
  TweenMax.staggerTo('.box', 1, {cycle:{ x:function(i){return i*(-0.5+e.offsetY/window.innerHeight*1)}} }, 0.03);
  TweenMax.to('.box', 1, {rotationY:-5 + e.offsetX/window.innerWidth*10});
  // TweenMax.to('#logo', 1, {rotationX:-15 + e.offsetY/window.innerHeight*30, rotationY:-20 + e.offsetX/window.innerWidth*40})
}